﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO/MSO/DPO Get Series
DATE:                  2019-05-17 08:33:02
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23626 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       92
=============================================================================
#
#  Procedure Author:
#        ZAC, DAC
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         ModelNumLength = LEN(@ModelNum)

# -----  Mixed Signal Oscilloscope (MSO) ------------------------------------

# MSO5 Series
  1.002  IF           FIND(@ModelNum, "MSO5", 1) && (ModelNumLength == 5)
  1.003  MATH         @Series = "MSO5"
# MSO2000 Series
  1.004  ELSEIF       FIND(@ModelNum, "MSO2", 1) && (ModelNumLength == 7)
  1.005  MATH         @Series = "MSO2000"
# MSO2000B Series
  1.006  ELSEIF       FIND(@ModelNum, "MSO2", 1) && FIND(@ModelNum, "B", 1)
  1.007  MATH         @Series = "MSO2000B"
# MSO3000 Series
  1.008  ELSEIF       FIND(@ModelNum, "MSO3", 1) && (ModelNumLength == 7)
  1.009  MATH         @Series = "MSO3000"
# MSO4000 Series
  1.010  ELSEIF       FIND(@ModelNum, "MSO4", 1) && (ModelNumLength == 7)
  1.011  MATH         @Series = "MSO4000"
# MSO4000B Series
  1.012  ELSEIF       FIND(@ModelNum, "MSO4", 1) && FIND(@ModelNum, "B", 1)
  1.013  MATH         @Series = "MSO4000B"
# MSO5000 Series
  1.014  ELSEIF       FIND(@ModelNum, "MSO5", 1) && (ModelNumLength == 7)
  1.015  MATH         @Series = "MSO5000"
# MSO5000B Series
  1.016  ELSEIF       FIND(@ModelNum, "MSO5", 1) && FIND(@ModelNum, "B", 1)
  1.017  MATH         @Series = "MSO5000B"
# MSO70000C Series
  1.018  ELSEIF       FIND(@ModelNum, "MSO7", 1) && FIND(@ModelNum, "C", 1)
  1.019  MATH         @Series = "MSO70000C"
# MSO70000DX Series
  1.020  ELSEIF       FIND(@ModelNum, "MSO7", 1) && FIND(@ModelNum, "DX", 1)
  1.021  MATH         @Series = "MSO70000DX"

# -----  Mixed Domain Oscilloscope (MDO) ------------------------------------

# MDO3000 Series
  1.022  ELSEIF       FIND(@ModelNum, "MDO3", 1) && (ModelNumLength == 7)
  1.023  MATH         @Series = "MDO3000"
# MDO3000B Series
  1.024  ELSEIF       FIND(@ModelNum, "MDO3", 1) && FIND(@ModelNum, "B", 1)
  1.025  MATH         @Series = "MDO3000B"
# MDO3000C Series
  1.026  ELSEIF       FIND(@ModelNum, "MDO3", 1) && FIND(@ModelNum, "C", 1)
  1.027  MATH         @Series = "MDO3000C"
# MDO4000 Series
  1.028  ELSEIF       FIND(@ModelNum, "MDO4", 1) && (ModelNumLength == 9)
  1.029  MATH         @Series = "MDO4000"
# MDO4000B Series
  1.030  ELSEIF       FIND(@ModelNum, "MDO4", 1) && FIND(@ModelNum, "B", 1)
  1.031  MATH         @Series = "MDO4000B"
# MDO4000C Series
  1.032  ELSEIF       FIND(@ModelNum, "MDO4", 1) && FIND(@ModelNum, "C", 1)
  1.033  MATH         @Series = "MDO4000C"

  1.034  ELSE
  1.035  DISP         [V @ModelNum] not supported!
  1.036  MATH         @Abort = 1
  1.037  ENDIF

  1.038  END
